/**  Kylin security execute control
 *
 *  This file contains security  apis for
 *  Kylin security exectl function
 *
 *  Authors: jiayongfeng<jiayongfeng@kylinos.cn>
 *
 *  Copyright (C) 2017,Tianjin KYLIN Information Technology Co., Ltd.
 */

#ifndef SM_SPRO_H__
#define SM_SPRO_H__

#ifdef __cplusplus
extern "C" {
#endif

/*
 * @software:    添加的软件包名；
 * 返回值:      0：成功，-1：出错, 1：重复添加
 */
extern int software_uninstall_protection_add(char *software);

/*
 * @software:    解除软件防卸载包名；
 * 返回值:      0：成功，-1：出错，1：不存在;
 */
extern int software_uninstall_protection_remove(char *software);

#ifdef __cplusplus
}
#endif

#endif